import request from '@/utils/request'

// 查询作品列表
export function listCgbWorksInfo(query) {
  return request({
    url: '/cgb/cgbWorksInfo/list',
    method: 'get',
    params: query
  })
}

// 查询作品详细
export function getCgbWorksInfo(id) {
  return request({
    url: '/cgb/cgbWorksInfo/' + id,
    method: 'get'
  })
}

// 新增作品
export function addCgbWorksInfo(data) {
  return request({
    url: '/cgb/cgbWorksInfo',
    method: 'post',
    data: data
  })
}

// 修改作品
export function updateCgbWorksInfo(data) {
  return request({
    url: '/cgb/cgbWorksInfo',
    method: 'put',
    data: data
  })
}

// 删除作品
export function delCgbWorksInfo(id) {
  return request({
    url: '/cgb/cgbWorksInfo/' + id,
    method: 'delete'
  })
}
